body {
    font-family: 'Nunito Sans', sans-serif; 
}

/* Header styles */
h0 { /* Since h0 is not a standard HTML tag, consider using a class or a different tag */
font-size: 96px;
font-weight: bold;
}

h1 {
font-size: 52px;
font-weight: 300; /* Light */
color: #013A33;
}

@media (max-width: 767px) {
h1 {
    font-size: 42px; /* Mobile adjustment */
    color: #013A33;
}
}

h2 {
font-size: 52px;
font-weight: 800; /* Extrabold */
}

@media (max-width: 767px) {
h2 {
    font-size: 42px; /* Mobile adjustment */
}
}

h3 {
font-size: 32px;
font-weight: 800; /* Extrabold */
}

@media (max-width: 767px) {
h3 {
    font-size: 32px; /* Mobile title light on mobile */
    font-weight: 300; /* Light */
}
}

h4 {
font-size: 32px;
font-weight: 300; /* Light */
}

@media (max-width: 767px) {
h4 {
    font-weight: 800; /* Extrabold on mobile */
}
}

h5 {
font-size: 24px;
font-weight: 800; /* Extrabold */
}

h6 {
font-size: 24px;
font-weight: normal; /* Regular */
}

/* Body text styles */
.txt1 {
font-size: 18px;
font-weight: 800; /* Extrabold */
}

.txt2 {
font-size: 18px;
font-weight: normal; /* Regular */
color: #013A33;
}

.txt3 {
font-size: 16px;
font-weight: 800; /* Extrabold */
}

.txt4 {
font-size: 16px;
font-weight: normal; /* Regular */
}

.txt5 {
font-size: 14px;
font-weight: 800; /* Extrabold */
}

.txt6 {
font-size: 14px;
font-weight: normal; /* Regular */
}

.txt7 {
    font-size: 14px;
    font-weight: 800; /* Extrabold */
}

.txt8 {
    font-size: 14px;
    font-weight: normal; /* Regular */
}

.index-main {
    justify-content: center; /* Horizontális középre igazítás */
    align-items: center; /* Vertikális középre igazítás */
    height: 100%; /* Teljes magasság (ha szükséges) */
}    

/* Alapértelmezett stílus az a elemekre */
.index-main a {
    color: inherit; /* Örökli a szülő elem színét */
    text-decoration: none; /* Nincs aláhúzás */
}

/* Hover állapot stílus az a elemekre */
.index-main a:hover {
    color: inherit; /* Örökli a szülő elem színét */
    text-decoration: none; /* Nincs aláhúzás */
}

/* navigation bar */
.navbar-dark {
    display: flex; /* Flexbox használata az egymás melletti elrendezéshez */
    justify-content: space-between; /* Térköz a fő részek között */  
    background-color: #0F9C61;
    color: #fff;
    padding: 0.5rem 1rem;
    margin-bottom: 1rem;
    }


    .navbar-dark-section {
    display: flex; /* Minden szekció flex konténer lesz */
    align-items: center; /* Elemek középre igazítása vertikálisan */
    }

    .navbar-dark-item {
    margin-right: 20px; /* Jobb margó az elemek között */
    }

    /* Media query mobil nézethez */
    @media (max-width: 900px) {
    .navbar-dark-section:not(:nth-child(2)) {
        display: none; /* Rejtsük el az első és harmadik szekciót */
    }

    .navbar-dark-section {
        justify-content: center; /* Középre igazítja a szekciók tartalmát */
        width: 100%; /* Teljes szélesség használata a középső szekcióban */
    }

    .navbar-dark-item {
        margin-right: 0; /* Távolítsuk el a jobb margót a jobb rendezettség érdekében */
        margin-left: 0; /* Távolítsuk el a bal margót is */
    }
    }






    /* Wrapper elem a navbar középre igazításához */
    .navbar-wrapper {
    display: flex;
    justify-content: center; /* Középre igazítja a gyerek elemet vízszintesen */
    width: 100%;
    background-color: #FFF; /* Fehér háttér a wrappernek */
    }

    .navbar-light {
    display: flex;
    justify-content: space-around;
    align-items: center; /* Elemek függőleges középre igazítása */
    max-width: 1390px; /* Maximális szélesség */
    width: 100%; /* 100%-os szélesség */
    height: 90px; /* Magasság beállítása */
    }

    .navbar-light-section {
    display: flex; /* Engedélyezi a flexbox modelt a szekcióknak */
    align-items: center; /* Biztosítja, hogy a tartalom függőlegesen középen legyen */
    /*padding: 0.5rem 1rem; /* Szabványos padding */
    color: #0F9C61;
    }

    .navbar-light-section i {
    margin-right: 8px; /* Ikonnak és szövegnek közti térköz */
    color: #0F9C61; /* Zöld szín az ikonoknak */
    }

    .navbar-item {
    display: inline-block;
    text-align: center;
    padding-left:36px;
    }

    .navbar-light-section-item {
    display: flex; /* Engedélyezi a flexbox modelt az elemeknek */
    align-items: center; /* Biztosítja, hogy a kép és a szöveg egy sorban legyen */
    /*margin: 0 5px; /* Margin hozzáadása az elemek között */
    padding-left: 25px; /* Bal oldali padding */
    }

    @media (max-width: 1200px) {
        .navbar-menu, /* Elrejti a menü elemeket */
        .hide-on-mobile, /* Elrejti a mobil nézetben nem kívánt elemeket */
        .navbar-light-section:not(#navbar-logo):not(#navbar-search) { 
            display: none; 
        }
    }







    .search-form {
    display: flex;
    align-items: center;
    padding: 0.5rem;
    border: 1px solid #0F9C61; /* Zöld keret */
    border-radius: 50px; /* Nagy kerekítés */
    background-color: #FFFFFF; /* Fehér háttér */
    }

    .search-input {
    flex: 1;
    border: none;
    outline: none;
    padding-left: 1rem; /* Padding a bal oldalon a szöveg és az ikon között */
    font-size: 16px; /* Szövegméret */
    background-color: transparent; /* Átlátszó háttér, hogy ne ütközzön a form háttérszínével */
    width: 224px; /* Szélesség beállítása */
    }

    /* Placeholder szöveg stílusa */
    .search-input::placeholder {
    color: #0F9C61; /* Zöld szöveg */
    }

    /* Input focus állapotának stílusa */
    .search-input:focus {
    border-color: inherit;
    }

    @media (max-width: 768px) {
        .search-input {
            width: 150px;
            padding-left: 0.2rem;
        }
        .search-form {
            padding: 0.5rem 0.5rem; /* Kisebb padding */
            width: 180px; /* Kisebb szélesség */
        }
    }


/*footer*/

/* Kihagyás a footer felett */
.footer-space {
    height: 50px; /* Kihagyás mérete */
}

/* Footer stílusok */
.footer-green {
    display: flex; /* Flexbox használata az elemek elrendezésére */
    justify-content: center; /* Vízszintesen középre igazítás */
    align-items: center; /* Függőlegesen középre igazítás */
    background-color: #0F9C61; /* Sötétzöld háttér */
    color: white; /* Fehér szöveg */
    height: 115px;
    width: 100%;
    gap: 20px; /* Kihagyás a div-ek között */
}

/* Belső tartalmak stílusai */
.footer-green-content {
    width: 100%; /* Teljes szélesség */
    text-align: center; /* Szöveg középre igazítása */
    font-family: 'Nunito Sans', sans-serif; /* Betűtípus */
    font-weight: 800; /* Betűvastagság */
    font-size: 24px; /* Betűméret */
    line-height: 24px; /* Sor magasság */
    letter-spacing: 0.2px; /* Betűköz */
}

/* Általános stílusok */
.footer-green-content img {
    max-width: 100%; /* A képek ne legyenek szélesebbek a tartalomnál */
    height: auto; /* A képek magassága automatikusan álljon be */
}

/* Mobil nézet */
@media (max-width: 600px) {
    .footer-green {
        flex-direction: column; /* Elemek egymás alá rendezése */
        height: 215px; /* Magasság beállítása */
        justify-content: center; /* Vízszintesen középre igazítás */  
        align-items: flex-start;   
        padding-left: 30px; /* Bal oldali padding */ 
    }

    .footer-green-content {
        margin-bottom: 0px; /* Kihagyás az elemek között */
        font-size: 18px; /* Kisebb betűméret */ 
        height: auto;  
        align-items: left;    
    }

    .footer-green-content img {
        width: 36.45px; /* Képek kisebb mérete */
        height: auto; /* Képek magassága automatikusan álljon be */
        padding: 0px; /* Képek körüli térköz */
    }

}

.footer-bottom {
    display: flex;
    flex-direction: row; /* Vízszintes elrendezés nagy képernyőn */
    justify-content: center;
    align-items: flex-start; /* Elemek felső részhez igazítása */
    background-color: white;
    height: auto; /* Automatikus magasság beállítása */
    width: 100%;
    flex-wrap: wrap; /* Elemek új sorba tördelése, ha nincs hely */
    padding-top:20px
}


.footer-bottom-content {
    width: 100%; /* Teljes szélesség a mobil nézeten */
    text-align: left;
    font-family: 'Nunito Sans', sans-serif;
    font-weight: 800;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.2px;
    color: #013A33;
    padding: 20px; /* Padding beállítása minden oldalra */
}


.footer-bottom-content-text-header {
    font-size: 18px; /* Betűméret */
    font-weight: 800; /* Betűvastagság */
    line-height: 24px; /* Sor magasság */
    letter-spacing: 0.2px; /* Betűköz */
    color: #0F9C61; /* Szöveg színe */
    padding-bottom: 10px; /* Alsó padding */
}

.footer-bottom-content-text-body {
    font-size: 18px; /* Betűméret */
    font-weight: 400; /* Betűvastagság */
    line-height: 24px; /* Sor magasság */
    letter-spacing: 0.2px; /* Betűköz */
    color: #013A33; /* Szöveg színe */
}

@media (min-width: 768px) {
    .footer-bottom {
        flex-direction: row; /* Vízszintes elrendezés nagy képernyőn */
        height: 300px; /* Fix magasság nagy képernyőn */
    }

    .footer-bottom-content {
        width: 25%; /* Csökkentett szélesség nagy képernyőn */
        padding-left: 20px; /* Bal oldali padding csak nagy képernyőn */
    }
}
    